
void _efl_ui_textpath_circular_set(Eo *obj, Efl_Ui_Textpath_Data *pd, double radius, double start_angle, Efl_Ui_Textpath_Direction direction);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_textpath_circular_set, EFL_FUNC_CALL(radius, start_angle, direction), double radius, double start_angle, Efl_Ui_Textpath_Direction direction);

void _efl_ui_textpath_slice_number_set(Eo *obj, Efl_Ui_Textpath_Data *pd, int slice_no);


static Eina_Error
__eolian_efl_ui_textpath_slice_number_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_textpath_slice_number_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_textpath_slice_number_set, EFL_FUNC_CALL(slice_no), int slice_no);

int _efl_ui_textpath_slice_number_get(const Eo *obj, Efl_Ui_Textpath_Data *pd);


static Eina_Value
__eolian_efl_ui_textpath_slice_number_get_reflect(const Eo *obj)
{
   int val = efl_ui_textpath_slice_number_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_textpath_slice_number_get, int, 0);

void _efl_ui_textpath_ellipsis_set(Eo *obj, Efl_Ui_Textpath_Data *pd, Eina_Bool ellipsis);


static Eina_Error
__eolian_efl_ui_textpath_ellipsis_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_textpath_ellipsis_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_textpath_ellipsis_set, EFL_FUNC_CALL(ellipsis), Eina_Bool ellipsis);

Eina_Bool _efl_ui_textpath_ellipsis_get(const Eo *obj, Efl_Ui_Textpath_Data *pd);


static Eina_Value
__eolian_efl_ui_textpath_ellipsis_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_textpath_ellipsis_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_textpath_ellipsis_get, Eina_Bool, 0);

Efl_Object *_efl_ui_textpath_efl_object_constructor(Eo *obj, Efl_Ui_Textpath_Data *pd);


void _efl_ui_textpath_efl_object_destructor(Eo *obj, Efl_Ui_Textpath_Data *pd);


void _efl_ui_textpath_efl_gfx_path_commit(Eo *obj, Efl_Ui_Textpath_Data *pd);


void _efl_ui_textpath_efl_canvas_group_group_calculate(Eo *obj, Efl_Ui_Textpath_Data *pd);


void _efl_ui_textpath_efl_text_text_set(Eo *obj, Efl_Ui_Textpath_Data *pd, const char *text);


const char *_efl_ui_textpath_efl_text_text_get(const Eo *obj, Efl_Ui_Textpath_Data *pd);


Efl_Object *_efl_ui_textpath_efl_part_part_get(const Eo *obj, Efl_Ui_Textpath_Data *pd, const char *name);


Eina_Error _efl_ui_textpath_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Textpath_Data *pd);


void _efl_ui_textpath_efl_gfx_entity_position_set(Eo *obj, Efl_Ui_Textpath_Data *pd, Eina_Position2D pos);


void _efl_ui_textpath_efl_gfx_entity_size_set(Eo *obj, Efl_Ui_Textpath_Data *pd, Eina_Size2D size);


static Eina_Bool
_efl_ui_textpath_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_TEXTPATH_EXTRA_OPS
#define EFL_UI_TEXTPATH_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_textpath_circular_set, _efl_ui_textpath_circular_set),
      EFL_OBJECT_OP_FUNC(efl_ui_textpath_slice_number_set, _efl_ui_textpath_slice_number_set),
      EFL_OBJECT_OP_FUNC(efl_ui_textpath_slice_number_get, _efl_ui_textpath_slice_number_get),
      EFL_OBJECT_OP_FUNC(efl_ui_textpath_ellipsis_set, _efl_ui_textpath_ellipsis_set),
      EFL_OBJECT_OP_FUNC(efl_ui_textpath_ellipsis_get, _efl_ui_textpath_ellipsis_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_textpath_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_textpath_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_commit, _efl_ui_textpath_efl_gfx_path_commit),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_ui_textpath_efl_canvas_group_group_calculate),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_textpath_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_ui_textpath_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_ui_textpath_efl_part_part_get),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_textpath_efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_ui_textpath_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_ui_textpath_efl_gfx_entity_size_set),
      EFL_UI_TEXTPATH_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"slice_number", __eolian_efl_ui_textpath_slice_number_set_reflect, __eolian_efl_ui_textpath_slice_number_get_reflect},
      {"ellipsis", __eolian_efl_ui_textpath_ellipsis_set_reflect, __eolian_efl_ui_textpath_ellipsis_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_textpath_class_desc = {
   EO_VERSION,
   "Efl.Ui.Textpath",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Textpath_Data),
   _efl_ui_textpath_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_textpath_class_get, &_efl_ui_textpath_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_TEXT_INTERFACE, EFL_GFX_PATH_MIXIN, NULL);
